##### Views

- Page
- Discussion
- View source
- History

# love.window.setMode

Available since LÖVE 0.9.0
Moved from love.graphics.setMode.

Changes the display mode.

If width or height is 0, setMode will use the width and height of the desktop.

Changing the display mode may have side effects: for example, canvases will be cleared; make sure to save their contents beforehand if you need to.

## Function

### Synopsis

success = love.window.setMode( width, height, flags )

### Arguments

`number width`
  Display width.
`number height`
  Display height.
`table flags`
  The flags table with the options:
  `boolean fullscreen (false)`
    Fullscreen (true), or windowed (false).
  `FullscreenType fullscreentype ("normal")`
    The type of fullscreen to use.
  `boolean vsync (true)`
    True if LÖVE should wait for vsync, false otherwise.
  `number fsaa (0)`
    The number of antialiasing samples.
  `boolean resizable (false)`
    True if the window should be resizable in windowed mode, false otherwise.
  `boolean borderless (false)`
    True if the window should be borderless in windowed mode, false otherwise.
  `boolean centered (true)`
    True if the window should be centered in windowed mode, false otherwise.
  `number display (1)`
    The index of the display to show the window in, if multiple monitors are available.
  `number minwidth (1)`
    The minimum width of the window, if it's resizable. Cannot be less than 1.
  `number minheight (1)`
    The minimum height of the window, if it's resizable. Cannot be less than 1.
  `boolean highdpi (false)`
    True if high-dpi mode should be used on Retina displays in OS X. Does nothing on non-Retina displays. Added in 0.9.1.
  `boolean srgb (false)`
    True if sRGB gamma correction should be applied when drawing to the screen. Added in 0.9.1.

### Returns

`boolean success`
  True if successful, false otherwise.

## Notes

If fullscreen is enabled and the width or height is not supported (see love.window.getFullscreenModes), the window may be resized to the closest available resolution and a resize event will be triggered.

If the fullscreen type is "desktop", then the window will be automatically resized to the desktop resolution.

If you have disabled the window in conf.lua and use this functon to manually create the window, then you must not call any other love.graphics.* function before this one. Doing so will result in undefined behavior and/or crashes because OpenGL cannot function properly without a window.

Transparent backgrounds are currently not supported.

## Examples

Make the window resizable with vsync disabled and a minimum width and height set.

function love.load()
love.window.setMode(800, 600, {resizable=true, vsync=false, minwidth=400, minheight=300})
end

## See Also

- love.window
- love.window.getMode
- love.window.getFullscreenModes
- love.resize

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.window.setMode"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties